Index: palm/trunk/SOURCE/gust_mod.f90
===================================================================
--- palm/trunk/SOURCE/gust_mod.f90	(revision 4645)
+++ palm/trunk/SOURCE/gust_mod.f90	(revision 4646)
@@ -1,65 +1,67 @@
 !> @file gust_mod.f90
-!------------------------------------------------------------------------------!
-! This file is part of PALM.
-!
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
-!
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
-!
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+!--------------------------------------------------------------------------------------------------!
+! This file is part of the PALM model system.
+!
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
+!
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 1997-2020 Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 !
 ! Current revisions:
 ! -----------------
-! 
-! 
+!
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+! file re-formatted to follow the PALM coding standard
+!
+! 4535 2020-05-15 12:07:23Z raasch
 ! bugfix for restart data format query
-! 
+!
 ! 4517 2020-05-03 14:29:30Z raasch
 ! added restart with MPI-IO for reading local arrays
-! 
+!
 ! 4495 2020-04-13 20:11:20Z raasch
 ! restart data handling with MPI-IO added
-! 
+!
 ! 4360 2020-01-07 11:25:50Z suehring
-! CASE statement for dummy variable u2_av in gust_rrd_local changed to avoid 
-! unintended interdependencies with user-defined variables 
-! 
+! CASE statement for dummy variable u2_av in gust_rrd_local changed to avoid unintended
+! interdependencies with user-defined variables
+!
 ! 3837 2019-03-28 16:55:58Z knoop
 ! unused variable for file index removed from rrd-subroutines parameter list
-! 
+!
 ! 3725 2019-02-07 10:11:02Z raasch
 ! dummy statement modified to avoid compiler warnings about unused variables
-! 
+!
 ! 3685 2019-01-21 01:02:11Z knoop
 ! Some interface calls moved to module_interface + cleanup
-! 
+!
 ! 3665 2019-01-10 08:28:24Z raasch
 ! dummy statements added to avoid compiler warnings about unused variables
-! 
+!
 ! 3655 2019-01-07 16:51:22Z knoop
 ! Bugfix: domain bounds of local_pf corrected
-! 
-! 
+!
+!
 ! Interfaces concerning data output updated
-! 
-! 
+!
+!
 ! renamed gust_par to gust_parameters
-! 
-! 
+!
+!
 ! Initial interface definition
 !
-! 
+!
 ! Description:
 ! ------------
@@ -67,5 +69,5 @@
 !>
 !> @todo This is just a dummy module. The actual module ist not released yet.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  MODULE gust_mod
 
@@ -73,5 +75,5 @@
         ONLY:  restart_data_format_output
 
-    USE indices,                                                               &
+    USE indices,                                                                                   &
         ONLY:  nxl, nxlg, nxr, nxrg, nys, nysg, nyn, nyng, nzb, nzt
 
@@ -94,27 +96,27 @@
 !
 !-- Public functions
-    PUBLIC &
-       gust_parin, &
-       gust_check_parameters, &
-       gust_check_data_output_pr, &
-       gust_check_data_output, &
-       gust_init_arrays, &
-       gust_init, &
-       gust_define_netcdf_grid, &
-       gust_header, &
-       gust_actions, &
-       gust_prognostic_equations, &
-       gust_swap_timelevel, &
-       gust_3d_data_averaging, &
-       gust_data_output_2d, &
-       gust_data_output_3d, &
-       gust_statistics, &
-       gust_rrd_global, &
-       gust_wrd_global, &
-       gust_rrd_local, &
+    PUBLIC                                                                                         &
+       gust_parin,                                                                                 &
+       gust_check_parameters,                                                                      &
+       gust_check_data_output_pr,                                                                  &
+       gust_check_data_output,                                                                     &
+       gust_init_arrays,                                                                           &
+       gust_init,                                                                                  &
+       gust_define_netcdf_grid,                                                                    &
+       gust_header,                                                                                &
+       gust_actions,                                                                               &
+       gust_prognostic_equations,                                                                  &
+       gust_swap_timelevel,                                                                        &
+       gust_3d_data_averaging,                                                                     &
+       gust_data_output_2d,                                                                        &
+       gust_data_output_3d,                                                                        &
+       gust_statistics,                                                                            &
+       gust_rrd_global,                                                                            &
+       gust_wrd_global,                                                                            &
+       gust_rrd_local,                                                                             &
        gust_wrd_local
 !
 !-- Public parameters, constants and initial values
-    PUBLIC &
+    PUBLIC                                                                                         &
        gust_module_enabled
 
@@ -203,9 +205,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Parin for &gust_parameters for gust module
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE gust_parin
 
@@ -215,5 +217,5 @@
        CHARACTER (LEN=80)  ::  line  !< dummy string that contains the current line of the parameter file
 
-       NAMELIST /gust_parameters/  &
+       NAMELIST /gust_parameters/                                                                  &
           gust_module_enabled
 
@@ -240,9 +242,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Check parameters routine for gust module
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE gust_check_parameters
 
@@ -254,9 +256,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Check data output of profiles for gust module
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE gust_check_data_output_pr( variable, var_count, unit, dopr_unit )
 
@@ -264,7 +266,7 @@
        IMPLICIT NONE
 
+       CHARACTER (LEN=*) ::  dopr_unit !< local value of dopr_unit
        CHARACTER (LEN=*) ::  unit      !<
        CHARACTER (LEN=*) ::  variable  !<
-       CHARACTER (LEN=*) ::  dopr_unit !< local value of dopr_unit
 
        INTEGER(iwp) ::  var_count      !<
@@ -276,9 +278,9 @@
     END SUBROUTINE gust_check_data_output_pr
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Check data output for gust module
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE gust_check_data_output( var, unit )
 
@@ -296,9 +298,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Allocate gust module arrays and define pointers
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE gust_init_arrays
 
@@ -310,9 +312,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Initialization of the gust module
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE gust_init
 
@@ -324,5 +326,5 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 !
 ! Description:
@@ -330,5 +332,5 @@
 !> Subroutine defining appropriate grid for netcdf variables.
 !> It is called out from subroutine netcdf.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE gust_define_netcdf_grid( var, found, grid_x, grid_y, grid_z )
 
@@ -336,9 +338,10 @@
        IMPLICIT NONE
 
-       CHARACTER (LEN=*), INTENT(IN)  ::  var         !<
-       LOGICAL, INTENT(IN)           ::  found       !<
        CHARACTER (LEN=*), INTENT(IN) ::  grid_x      !<
        CHARACTER (LEN=*), INTENT(IN) ::  grid_y      !<
        CHARACTER (LEN=*), INTENT(IN) ::  grid_z      !<
+       CHARACTER (LEN=*), INTENT(IN) ::  var         !<
+
+       LOGICAL, INTENT(IN)           ::  found       !<
 
 !
@@ -349,9 +352,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Header output for gust module
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE gust_header ( io )
 
@@ -368,9 +371,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Call for all grid points
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE gust_actions( location )
 
@@ -387,9 +390,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Call for grid point i,j
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE gust_actions_ij( i, j, location )
 
@@ -409,9 +412,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Call for all grid points
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE gust_prognostic_equations()
 
@@ -423,15 +426,15 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Call for grid point i,j
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE gust_prognostic_equations_ij( i, j, i_omp_start, tn )
 
 
        INTEGER(iwp), INTENT(IN) ::  i            !< grid index in x-direction
+       INTEGER(iwp), INTENT(IN) ::  i_omp_start  !< first loop index of i-loop in prognostic_equations
        INTEGER(iwp), INTENT(IN) ::  j            !< grid index in y-direction
-       INTEGER(iwp), INTENT(IN) ::  i_omp_start  !< first loop index of i-loop in prognostic_equations
        INTEGER(iwp), INTENT(IN) ::  tn           !< task number of openmp task
 
@@ -443,9 +446,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Swapping of timelevels
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE gust_swap_timelevel ( mod_count )
 
@@ -462,10 +465,10 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 !
 ! Description:
 ! ------------
 !> Subroutine for averaging 3D data
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE gust_3d_data_averaging( mode, variable )
 
@@ -474,5 +477,5 @@
 
        CHARACTER (LEN=*) ::  mode    !<
-       CHARACTER (LEN=*) :: variable !<
+       CHARACTER (LEN=*) ::  variable !<
 
 !
@@ -482,12 +485,12 @@
     END SUBROUTINE gust_3d_data_averaging
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 !
 ! Description:
 ! ------------
 !> Subroutine defining 2D output variables
-!------------------------------------------------------------------------------!
-    SUBROUTINE gust_data_output_2d( av, variable, found, grid, mode, local_pf, &
-                                    two_d, nzb_do, nzt_do, fill_value )
+!--------------------------------------------------------------------------------------------------!
+    SUBROUTINE gust_data_output_2d( av, variable, found, grid, mode, local_pf, two_d, nzb_do,      &
+                                    nzt_do, fill_value )
 
 
@@ -495,6 +498,6 @@
 
        CHARACTER (LEN=*), INTENT(INOUT) ::  grid       !< name of vertical grid
-       CHARACTER (LEN=*), INTENT(IN) ::  mode       !< either 'xy', 'xz' or 'yz'
-       CHARACTER (LEN=*), INTENT(IN) ::  variable   !< name of variable
+       CHARACTER (LEN=*), INTENT(IN)    ::  mode       !< either 'xy', 'xz' or 'yz'
+       CHARACTER (LEN=*), INTENT(IN)    ::  variable   !< name of variable
 
        INTEGER(iwp), INTENT(IN) ::  av        !< flag for (non-)average output
@@ -508,5 +511,5 @@
 
        REAL(wp), DIMENSION(nxl:nxr,nys:nyn,nzb_do:nzt_do), INTENT(INOUT) ::  local_pf !< local
-          !< array to which output data is resorted to
+                                                                                      !< array to which output data is resorted to
 
 !
@@ -519,10 +522,10 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 !
 ! Description:
 ! ------------
 !> Subroutine defining 3D output variables
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE gust_data_output_3d( av, variable, found, local_pf, fill_value, nzb_do, nzt_do )
 
@@ -550,9 +553,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> This routine computes profile and timeseries data for the gust module.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE gust_statistics( mode, sr, tn, dots_max )
 
@@ -573,13 +576,13 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Read module-specific global restart data (Fortran binary format).
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE gust_rrd_global_ftn( found )
 
 
-       USE control_parameters,                                                 &
+       USE control_parameters,                                                                     &
            ONLY: length, restart_string
 
@@ -608,9 +611,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Read module-specific global restart data (MPI-IO).
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE gust_rrd_global_mpi
 
@@ -622,12 +625,11 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Read module-specific local restart data arrays (Fortran binary format).
-!------------------------------------------------------------------------------!
-    SUBROUTINE gust_rrd_local_ftn( k, nxlf, nxlc, nxl_on_file, nxrf, nxrc,         &
-                                   nxr_on_file, nynf, nync, nyn_on_file, nysf,     &
-                                   nysc, nys_on_file, tmp_2d, tmp_3d, found )
+!--------------------------------------------------------------------------------------------------!
+    SUBROUTINE gust_rrd_local_ftn( k, nxlf, nxlc, nxl_on_file, nxrf, nxrc, nxr_on_file, nynf, nync,&
+                                   nyn_on_file, nysf, nysc, nys_on_file, tmp_2d, tmp_3d, found )
 
 
@@ -696,9 +698,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Read module-specific local restart data arrays (MPI-IO).
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE gust_rrd_local_mpi
 
@@ -709,9 +711,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> This routine writes the respective restart data for the gust module.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE gust_wrd_global
 
@@ -742,9 +744,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> This routine writes the respective restart data for the gust module.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE gust_wrd_local
 
